SDL_EventQueueEntry Struct Reference
Collaboration diagram for SDL_EventQueueEntry:
[legend]

## Data Fields

SDL_atomic_t | sequence
SDL_Event | event

## Detailed Description

Definition at line 259 of file testatomic.c.

## Field Documentation

SDL_Event SDL_EventQueueEntry::event

Definition at line 262 of file testatomic.c.

Referenced by DequeueEvent_LockFree(), DequeueEvent_Mutex(), EnqueueEvent_LockFree(), and EnqueueEvent_Mutex().

SDL_atomic_t SDL_EventQueueEntry::sequence

Definition at line 261 of file testatomic.c.

Referenced by DequeueEvent_LockFree(), DequeueEvent_Mutex(), EnqueueEvent_LockFree(), EnqueueEvent_Mutex(), and InitEventQueue().

The documentation for this struct was generated from the following file:

- test/testatomic.c